Get a customer or lead
Get one contact with its addresses and activities.
GET https://cotlet.dev/api/v1/method-crm/contacts/{contact_id}/customer
read
Returns the billing and shipping addresses, assigned user, tags, balance and the open and closed activities of the contact. For a lead it also returns the lead status, rating and source. It does not return payment card data.
Parameters
| Name | Type | Description |
|---|---|---|
| contact_id string required | string | Contact ID from list_customers. |
Request
curl https://cotlet.dev/api/v1/method-crm/contacts/contact_8c41d2/customer \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("method-crm", "get_customer", {"contact_id":"contact_8c41d2"}) const result = await cotlet.call('method-crm', 'get_customer', {"contact_id":"contact_8c41d2"}); cotlet call method-crm get_customer --data '{"contact_id":"contact_8c41d2"}' Example response
{
"contact_id": "C-2041",
"name": "Ortega Kitchens",
"type": "customer",
"email": "billing@ortega-kitchens.example",
"assigned_to": "Dana Whitfield",
"balance": 4800,
"open_activities": [],
"closed_activities": [
{
"activity_id": "A-9012",
"type": "Call",
"status": "Completed",
"start": "2026-10-02T10:00:00Z"
}
]
}